<div class="footer w-100">
  <div
    class="position-absolute d-flex justify-content-between align-items-center h-100"
    style="top: 0; bottom: 0; right: 0; left: 0;"
  >
    <span class="items-count">
      {{ length }} item{{ length > 1 ? "s" : "" }}
    </span>
    <div>
      <button
        type="button"
        class="filter-btn"
        *ngFor="let btn of filterButtons"
        [ngClass]="{ active: btn.isActive }"
        (click)="filter(btn.type)"
      >
        {{ btn.label }}
      </button>
    </div>
    <button
      class="filter-btn clear-completed-btn"
      [ngClass]="{ visible: hasComplete$ | async }"
      (click)="clearCompleted()"
    >
      Clear Completed
    </button>
  </div>
</div>
